Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align.helper
Class JointFragments

    java.lang.Object
      org.biojava.bio.structure.align.helper.JointFragments

    public class JointFragments

extends Object

A utility class that defines which set of atoms are considered to be on equivalent positions.

Constructor Summary
`JointFragments()`

Method Summary
`void` | `add(int p1, int p2, int start, int end)`
`List<int[]>` | `getIdxlist()`
`double` | `getRms()`
`void` | `setIdxlist(List<int[]> idxs)`
`void` | `setRms(double rms)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JointFragments

    public JointFragments()

Method Detail

### setIdxlist

    public void setIdxlist(List<int[]> idxs)

### getRms

    public double getRms()

### setRms

    public void setRms(double rms)

### getIdxlist

    public List<int[]> getIdxlist()

### add

    public void add(int p1,
                    int p2,
                    int start,
                    int end)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD